Drawdown response
API reference
Responds to a wires drawdown request by sending payment.
Endpoint: /wires/v1/payments/{id}/drawdown-responses
POST
https://sandbox.crbcos.com/wires/v1/payments/{id}/drawdown-responses
Query Parameters
- idstringrequiredDescription
Body Parameters
- originatorobjectrequiredDescription
- idCodestringrequiredDescription
- identifierstringrequiredDescription
- namestringrequiredDescription
- postalAddressobjectDescription
- adrLine1stringrequiredDescription
- adrLine2stringDescription
- countrystringrequiredDescription
- statestringDescription
- postalCodestringDescription
- citystringrequiredDescription
- address1stringDescription
- address2stringDescription
- address3stringDescription
- beneficiaryReferencestringDescription
- originatorToBeneficiaryLine1stringDescription
- originatorToBeneficiaryLine2stringDescription
- originatorToBeneficiaryLine3stringDescription
- originatorToBeneficiaryLine4stringDescription
Response
- idstringDescription
- accountNumberstringDescription
- coreTransactionIdstringDescription
- referenceIdstringDescription
- fedBatchIdstringDescription
- fedBatchSequenceintegerDescription
- directionstringDescription
- paymentTypestringDescription
- sourcestringDescription
- statusstringDescription
- postingstringDescription
- rejectionReasonstringDescription
- blockedReasonstringDescription
- partnerAuthorizationstringDescription
- authorizedAtstringDescription
- authorizedByIdstringDescription
- authorizedByNamestringDescription
- partnerAuthorization2stringDescription
- authorizedAt2stringDescription
- authorizedById2stringDescription
- authorizedByName2stringDescription
- amountintegerDescription
- currencystringDescription
- purposestringDescription
- imadstringDescription
- omadstringDescription
- businessFunctionCodestringDescription
- typeCodestringDescription
- senderRoutingNumberstringDescription
- senderNamestringDescription
- senderReferencestringDescription
- receiverRoutingNumberstringDescription
- receiverNamestringDescription
- originatingFiobjectDescription
- idCodestringDescription
- identifierstringDescription
- namestringDescription
- postalAddressInfoobjectDescription
- adrLine1stringrequiredDescription
- adrLine2stringDescription
- countrystringrequiredDescription
- statestringDescription
- postalCodestringDescription
- citystringrequiredDescription
- address1stringDescription
- address2stringDescription
- address3stringDescription
- originatorobjectDescription
- idCodestringDescription
- identifierstringDescription
- namestringDescription
- postalAddressInfoobjectDescription
- adrLine1stringrequiredDescription
- adrLine2stringDescription
- countrystringrequiredDescription
- statestringDescription
- postalCodestringDescription
- citystringrequiredDescription
- address1stringDescription
- address2stringDescription
- address3stringDescription
- intermediaryFiobjectDescription
- idCodestringDescription
- identifierstringDescription
- namestringDescription
- postalAddressInfoobjectDescription
- adrLine1stringrequiredDescription
- adrLine2stringDescription
- countrystringrequiredDescription
- statestringDescription
- postalCodestringDescription
- citystringrequiredDescription
- address1stringDescription
- address2stringDescription
- address3stringDescription
- beneficiaryFiobjectDescription
- idCodestringDescription
- identifierstringDescription
- namestringDescription
- postalAddressInfoobjectDescription
- adrLine1stringrequiredDescription
- adrLine2stringDescription
- countrystringrequiredDescription
- statestringDescription
- postalCodestringDescription
- citystringrequiredDescription
- address1stringDescription
- address2stringDescription
- address3stringDescription
- beneficiaryobjectDescription
- idCodestringDescription
- identifierstringDescription
- namestringDescription
- postalAddressInfoobjectDescription
- adrLine1stringrequiredDescription
- adrLine2stringDescription
- countrystringrequiredDescription
- statestringDescription
- postalCodestringDescription
- citystringrequiredDescription
- address1stringDescription
- address2stringDescription
- address3stringDescription
- originatorToBeneficiary1stringDescription
- beneficiaryReferencestringDescription
- receiptDatestringDescription
- receiptTimestringDescription
- wasReversedbooleanDescription
- isInternationalbooleanDescription
- clientIdentifierstringDescription
- createdAtstringDescription
- releasedAtstringDescription
- processedAtstringDescription
- canceledAtstringDescription
- rejectedAtstringDescription
- blockedAtstringDescription
- effectiveDatestringDescription
- completedAtstringDescription
- postedAtstringDescription
- originalPaymentIdstringDescription
- partnerIdstringDescription
- productIdstringDescription
- lastModifiedAtstringDescription
- postingCodestringDescription
curl
curl --location 'https://sandbox.crbcos.com/wires/v1/payments/61c194b3-6405-4b7f-bd81-b30c00e05637/drawdown-responses' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"originator": {
"idCode": "D",
"identifier": "2955057589",
"name": "PMR Corp",
"address1": "10431 Howe Drive",
"address2": "Shawnee Mission KS 66206",
"address3": "US"
},
"beneficiaryReference": "testref",
"originatorToBeneficiary1": "1string",
"originatorToBeneficiary2": "2string",
"originatorToBeneficiary3": "3string",
"originatorToBeneficiary4": "4string"
}'nodejs
var https = require('follow-redirects').https;
var fs = require('fs');
var options = {
'method': 'POST',
'hostname': 'sandbox.crbcos.com',
'path': '/wires/v1/payments/61c194b3-6405-4b7f-bd81-b30c00e05637/drawdown-responses',
'headers': {
'Authorization': 'Bearer <token>',
'Content-Type': 'application/json'
},
'maxRedirects': 20
};
var req = https.request(options, function (res) {
var chunks = [];
res.on("data", function (chunk) {
chunks.push(chunk);
});
res.on("end", function (chunk) {
var body = Buffer.concat(chunks);
console.log(body.toString());
});
res.on("error", function (error) {
console.error(error);
});
});
var postData = JSON.stringify({
"originator": {
"idCode": "D",
"identifier": "2955057589",
"name": "PMR Corp",
"address1": "10431 Howe Drive",
"address2": "Shawnee Mission KS 66206",
"address3": "US"
},
"beneficiaryReference": "testref",
"originatorToBeneficiary1": "1string",
"originatorToBeneficiary2": "2string",
"originatorToBeneficiary3": "3string",
"originatorToBeneficiary4": "4string"
});
req.write(postData);
req.end();python
import requests
import json
url = "https://sandbox.crbcos.com/wires/v1/payments/61c194b3-6405-4b7f-bd81-b30c00e05637/drawdown-responses"
payload = json.dumps({
"originator": {
"idCode": "D",
"identifier": "2955057589",
"name": "PMR Corp",
"address1": "10431 Howe Drive",
"address2": "Shawnee Mission KS 66206",
"address3": "US"
},
"beneficiaryReference": "testref",
"originatorToBeneficiary1": "1string",
"originatorToBeneficiary2": "2string",
"originatorToBeneficiary3": "3string",
"originatorToBeneficiary4": "4string"
})
headers = {
'Authorization': 'Bearer <token>',
'Content-Type': 'application/json'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
ruby
require "uri"
require "json"
require "net/http"
url = URI("https://sandbox.crbcos.com/wires/v1/payments/61c194b3-6405-4b7f-bd81-b30c00e05637/drawdown-responses")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = "Bearer <token>"
request["Content-Type"] = "application/json"
request.body = JSON.dump({
"originator": {
"idCode": "D",
"identifier": "2955057589",
"name": "PMR Corp",
"address1": "10431 Howe Drive",
"address2": "Shawnee Mission KS 66206",
"address3": "US"
},
"beneficiaryReference": "testref",
"originatorToBeneficiary1": "1string",
"originatorToBeneficiary2": "2string",
"originatorToBeneficiary3": "3string",
"originatorToBeneficiary4": "4string"
})
response = https.request(request)
puts response.read_body
go
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://sandbox.crbcos.com/wires/v1/payments/61c194b3-6405-4b7f-bd81-b30c00e05637/drawdown-responses"
method := "POST"
payload := strings.NewReader(`{
"originator": {
"idCode": "D",
"identifier": "2955057589",
"name": "PMR Corp",
"address1": "10431 Howe Drive",
"address2": "Shawnee Mission KS 66206",
"address3": "US"
},
"beneficiaryReference": "testref",
"originatorToBeneficiary1": "1string",
"originatorToBeneficiary2": "2string",
"originatorToBeneficiary3": "3string",
"originatorToBeneficiary4": "4string"
}`)
client := &http.Client {
}
req, err := http.NewRequest(method, url, payload)
if err != nil {
fmt.Println(err)
return
}
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, err := client.Do(req)
if err != nil {
fmt.Println(err)
return
}
defer res.Body.Close()
body, err := io.ReadAll(res.Body)
if err != nil {
fmt.Println(err)
return
}
fmt.Println(string(body))
}200
{
"id": "cb9bd5f3-e720-47dc-ab9b-af7100fe54d4",
"accountNumber": "2805121064",
"coreTransactionId": "e3e7a91e-fe43-40c4-a264-af710135d35d",
"referenceId": "W2235435X38",
"fedBatchId": "0259951e-e377-4940-b312-af71013af155",
"fedBatchSequence": 1,
"direction": "Outbound",
"paymentType": "DrawdownResponse",
"source": "OpsPortal",
"status": "Completed",
"posting": "Posted",
"partnerAuthorization": "NotRequired",
"partnerAuthorization2": "NotRequired",
"amount": 1248098147,
"currency": "usd",
"purpose": "ENTERED BY #61AA4FE6014AFB01143EBB35#",
"imad": "20221220QMGFT009000933",
"omad": "20221220B1QGC01R06123612201412",
"businessFunctionCode": "DRW",
"typeCode": "1032",
"senderRoutingNumber": "021214891",
"senderName": "CROSS RIVER BK",
"senderReference": "W2235435X38",
"receiverRoutingNumber": "021000021",
"receiverName": "JPMORGAN CHASE",
"originator": {
"idCode": "D",
"identifier": "2805121064",
"name": "CRB FBO RPPS Settlement",
"address1": "885 Teaneck Rd",
"address2": "Teaneck, NJ 07666 US"
},
"beneficiary": {
"idCode": "D",
"identifier": "014053007",
"name": "MASTERCARD INTERNATIONAL",
"address1": "INCORPORATE/SERVICES",
"address2": "2200 MASTERCARD BOULEVARD",
"address3": "O'FALLON MO 63366- US"
},
"beneficiaryReference": "1097200354JO",
"receiptDate": "1220",
"receiptTime": "1412",
"wasReversed": false,
"isInternational": false,
"createdAt": "2022-12-20T10:25:59.53-05:00",
"processedAt": "2022-12-20T14:07:01.817-05:00",
"effectiveDate": "2022-12-20T00:00:00-05:00",
"completedAt": "2022-12-20T14:46:58.82-05:00",
"postedAt": "2022-12-20T13:48:02.473-05:00",
"originalPaymentId": "5beea7ed-e9a1-4914-9bdc-af7100eb4dbd",
"partnerId": "6ee82269-9e89-450e-9065-a9e5012c2645",
"productId": "701d116d-ceec-4868-94f0-ab3c00e82bde",
"lastModifiedAt": "2022-12-20T14:46:58.8208426-05:00",
"postingCode": "OK"
}Validation Rules
- Originator BIC Format
- If the Originator Id Code is "B" (SWIFT BIC Code) and the Identifier is not in valid BIC format, the request will be rejected.
- Error Message: OriginatorIdentifier is not a valid BIC.
Default Values
- Beneficiary FI (if not provided in original DRC)
- Derived from the Receiver Routing Number:
- ID Code: "F"
- Identifier: Receiver’s routing number
- Name: Receiver’s customer name
- Address1: Receiver’s city and state
- Originator FI (if not provided in original DRC)
- Derived from the Sender Routing Number:
- ID Code: "F"
- Identifier: Sender’s routing number
- Name: Sender’s customer name
- Address1: Sender’s city and state